<?php

namespace Nwb\MultiDownloaderClient;

class FileOptions
{
    /**
     * @var string
     */
    private $name;

    public function name(string $name)
    {
        $this->name = $name;

        return $this;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function toArray(): array
    {
        return array_filter([
            'name' => $this->name
        ]);
    }
}
